#include <stdio.h>
#include <mpi.h>

main (int argc, char* argv[])
{
    int my_rank, num_ranks;
    char host_name[MPI_MAX_PROCESSOR_NAME];
    int host_name_length;

    MPI_Init (&argc, &argv);
    MPI_Comm_rank (MPI_COMM_WORLD, &my_rank);
    MPI_Comm_size (MPI_COMM_WORLD, &num_ranks);
    MPI_Get_processor_name (host_name, &host_name_length);

    printf ("hello world from rank %d, host = %s, num_ranks = %d\n",
            my_rank, host_name, num_ranks);

    MPI_Finalize();
}

